#pragma once

#include "CoreMinimal.h"
#include "AISkill_Find.h"
#include "AITunableParameter.h"
#include "AISkill_Find_AttackZombie.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEK24_API UAISkill_Find_AttackZombie : public UAISkill_Find
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter WeightBonusPerRemainingLevel;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float BlockedWeightBonus;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBHostileStimulusActor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float BlockedSpeedPercent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinimumBlockedTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaximumBlockedDistance;

public:
	UAISkill_Find_AttackZombie();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Find_AttackZombie) { return 0; }
